<div
    class="faqs"
>
    <ui-header
        [title]="'settings-and-support.faqs.title' | translate"
        [hasBackButton]="true"
        (backButtonIsClicked)="navigateBack()"
    ></ui-header>
    <h2>
        {{'settings-and-support.faqs.general' | translate}}
    </h2>
    <ng-container *ngFor="let translation of 'settings-and-support.faqs.general.questions' | translate | keyvalue; index as i;">
        <ui-expansion-panel
            [title]="'settings-and-support.faqs.general.questions.'+ i + '.title' | translate"
            [content]="('settings-and-support.faqs.general.questions.'+ i + '.content') | translate"
        ></ui-expansion-panel>
    </ng-container>
    <h2>
        {{'settings-and-support.faqs.lecturer' | translate}}
    </h2>
    <ng-container *ngFor="let translation of 'settings-and-support.faqs.lecturer.questions' | translate | keyvalue; index as i;">
        <ui-expansion-panel
            [title]="'settings-and-support.faqs.lecturer.questions.'+ i + '.title' | translate"
            [content]="('settings-and-support.faqs.lecturer.questions.'+ i + '.content') | translate"
        ></ui-expansion-panel>
    </ng-container>
    <h2>
        {{'settings-and-support.faqs.students' | translate}}
    </h2>
    <ng-container *ngFor="let translation of 'settings-and-support.faqs.students.questions' | translate | keyvalue; index as i;">
        <ui-expansion-panel
            [title]="'settings-and-support.faqs.students.questions.'+ i + '.title' | translate"
            [content]="('settings-and-support.faqs.students.questions.'+ i + '.content') | translate"
        ></ui-expansion-panel>
    </ng-container>
</div>